/**
 * 数据管理接口
 */
import request from '@/utils/request'
// 井盖数据查询
export function getWellData(params) {
  return request({
    url: 'welldata/list',
    method: 'get',
    params
  })
}

// 液位数据查询
export function getLiquidData(params) {
  return request({
    url: 'liquiddata/list',
    method: 'get',
    params
  })
}
// 燃气数据查询
export function getGasData(params) {
  return request({
    url: 'gasdata/list',
    method: 'get',
    params
  })
}

// 开挖数据查询
export function getDigData(params) {
  return request({
    url: 'digdata/list',
    method: 'get',
    params
  })
}

// 有害气体数据查询
export function getHarmfulData(params) {
  return request({
    url: 'harmfuldata/list',
    method: 'get',
    params
  })
}

// 温湿度数据查询
export function getTempData(params) {
  return request({
    url: 'tempdata/list',
    method: 'get',
    params
  })
}

// 井盖定位监测仪数据查询
export function getWellLocaData(params) {
  return request({
    url: 'welllocadata/list',
    method: 'get',
    params
  })
}

// 水质监测仪数据查询
export function getMeterData(params) {
  return request({
    url: 'meterdata/list',
    method: 'get',
    params
  })
}

// 流量数据查询
export function getFlowData(params) {
  return request({
    url: 'flowdata/list',
    method: 'get',
    params
  })
}

// 雨量计数据查询
export function getHyetoData(params) {
  return request({
    url: 'hyetodata/list',
    method: 'get',
    params
  })
}

// 批量导出井盖数据
export function batchExportWellData(params) {
  return request({
    url: 'welldata/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 批量导出液位数据
export function batchExportLiquidData(params) {
  return request({
    url: 'liquiddata/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 批量导出燃气数据
export function batchExportGasData(params) {
  return request({
    url: 'gasdata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 批量导出开挖数据
export function batchExportDigData(params) {
  return request({
    url: 'digdata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 批量导出温湿度数据
export function batchExportTempData(params) {
  return request({
    url: 'tempdata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 批量导出有害气体数据
export function batchExportHarmfulData(params) {
  return request({
    url: 'harmfuldata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 批量导出井盖定位监测仪数据
export function batchExportWellLocaData(params) {
  return request({
    url: 'welllocadata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

export function batchExportMeterData(params) {
  return request({
    url: 'meterdata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

export function batchExportFlowData(params) {
  return request({
    url: 'flowdata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 雨量计数据导出
export function batchExportHyetoData(params) {
  return request({
    url: 'hyetodata/export',
    method: 'get',
    timeout: 120000, // 120s，2分钟
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
